Bug 30587 - Incorrect translations in some templates
Summary: Incorrect translations in some templates
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-04-21 16:32 UTC by Tomás Cohen Arazi
Modified: 2022-06-17 03:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,v21.11.06


Attachments
Bug 30587: Fix opac-tags.tt translate issues (1.75 KB, patch)
2022-04-21 16:42 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30587: Fix acqui/supplier.tt translate issues (1.30 KB, patch)
2022-04-21 16:51 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 30587: Fix opac-tags.tt translate issues (1.79 KB, patch)
2022-04-25 12:52 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30587: Fix acqui/supplier.tt translate issues (1.35 KB, patch)
2022-04-25 12:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 30587: Fix opac-tags.tt translate issues (1.85 KB, patch)
2022-04-25 13:41 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 30587: Fix acqui/supplier.tt translate issues (1.40 KB, patch)
2022-04-25 13:41 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2022-04-21 16:32:41 UTC
Searching for [% in the https://translate.koha-community.org site on some language highlights some problems. I open this bug to tackle them.
Comment 1 Tomás Cohen Arazi 2022-04-21 16:42:42 UTC
Created attachment 133591 [details] [review]
Bug 30587: Fix opac-tags.tt translate issues

This patch addresses one specific case.

To test:
1. Run:
   $ kshell
  k$ cd misc/translator
  k$ perl translate update es-ES
2. On your git checkout run:
   $ git diff | grep '\[% limit or'
=> FAIL: That shouldn't be translated
3. Run:
   $ git reset --hard HEAD
4. Apply this patch
5. Repeat 1 and 2
=> SUCCESS: No attempt to translate that tag
6. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Tomás Cohen Arazi 2022-04-21 16:51:44 UTC
Created attachment 133592 [details] [review]
Bug 30587: Fix acqui/supplier.tt translate issues

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 3 Owen Leonard 2022-04-25 12:52:56 UTC
Created attachment 133770 [details] [review]
Bug 30587: Fix opac-tags.tt translate issues

This patch addresses one specific case.

To test:
1. Run:
   $ kshell
  k$ cd misc/translator
  k$ perl translate update es-ES
2. On your git checkout run:
   $ git diff | grep '\[% limit or'
=> FAIL: That shouldn't be translated
3. Run:
   $ git reset --hard HEAD
4. Apply this patch
5. Repeat 1 and 2
=> SUCCESS: No attempt to translate that tag
6. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 4 Owen Leonard 2022-04-25 12:53:00 UTC
Created attachment 133771 [details] [review]
Bug 30587: Fix acqui/supplier.tt translate issues

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Katrin Fischer 2022-04-25 13:39:57 UTC
Looking here...
Comment 6 Katrin Fischer 2022-04-25 13:41:45 UTC
Created attachment 133784 [details] [review]
Bug 30587: Fix opac-tags.tt translate issues

This patch addresses one specific case.

To test:
1. Run:
   $ kshell
  k$ cd misc/translator
  k$ perl translate update es-ES
2. On your git checkout run:
   $ git diff | grep '\[% limit or'
=> FAIL: That shouldn't be translated
3. Run:
   $ git reset --hard HEAD
4. Apply this patch
5. Repeat 1 and 2
=> SUCCESS: No attempt to translate that tag
6. Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Katrin Fischer 2022-04-25 13:41:50 UTC
Created attachment 133785 [details] [review]
Bug 30587: Fix acqui/supplier.tt translate issues

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Fridolin Somers 2022-04-26 06:54:09 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 9 Victor Grousset/tuxayo 2022-06-17 03:11:47 UTC
Note: this have been backported to 21.11.x for v21.11.06
Comment 10 Victor Grousset/tuxayo 2022-06-17 03:16:40 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.